<?php
/***************************************************************************
 *                              obmen.php
 *                            -------------------
 *  Полнлценный модуль Файлобменника под phpBB-WAP
 *	Автор модуля: SatanHell
 *  2011 год
 ***************************************************************************/

define('IN_PHPBB', 1);
$no_page_header = TRUE;
$phpbb_root_path = './../';


if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
$module['Файлобменник']['Общие настройки'] = $filename;

	return;
}

require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
require('./page_header_admin.'.$phpEx);
$sql = "SELECT * FROM `" . UPLOAD_CONFIG_TABLE . "` WHERE `id`='1'";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not get upload_config information', '', __LINE__, __FILE__, $sql);
	}
		$config = $db->sql_fetchrow($result);

if(isset($_POST['submit']))
{
$on_off = abs(intval($_POST['on_off']));
$upload_locked = abs(intval($_POST['upload_locked']));
$max_file_size = abs(intval($_POST['max_file_size']));

$sql = "UPDATE `" . UPLOAD_CONFIG_TABLE . "` SET `on_off` = '".$on_off."', `upload_locked` = '".$upload_locked."', `max_file_size` = '".$max_file_size."' WHERE `id` = '1' LIMIT 1;";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not get chat_config information', '', __LINE__, __FILE__, $sql);
	}
 
message_die(GENERAL_MESSAGE, 'Параметры изменены!<p><a href="'.append_sid('?o='.rand(1000,9999)).'">Вернуться к общим настройкам файлобменника</a></p><p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>');
}
echo '<table width="100%" cellpadding="4" cellspacing="0" border="0" class="forumline"><tr><td class="catSides"><span class="cattitle">Настройки файлобменника</span></td></tr><form action="'.append_sid('?o='.rand(1000,9999)).'" method="post" />
<tr><td class="row1">Отключить файлобменник:<br/>
<select name="on_off">
<option value="0"' . ($config['on_off']==0 ? ' selected="selected"' : '') . '>Нет</option>
<option value="1"' . ($config['on_off']==1 ? ' selected="selected"' : '') . '>Да</option>
</select>
</td></tr>
<tr><td class="row1">Отключить загрузку файлов:<br/>
<select name="upload_locked">
<option value="0"' . ($config['upload_locked']==0 ? ' selected="selected"' : '') . '>Нет</option>
<option value="1"' . ($config['upload_locked']==1 ? ' selected="selected"' : '') . '>Да</option>
</select>
</td></tr>
<tr><td class="row1">Максимальный размер файла(Mb):<br/><input type="text" name="max_file_size" size="3" value="'.$config['max_file_size'].'" />
</td></tr></table><p><input type="submit" name="submit" value="Изменить"/></form></p>';
echo '<p><a href="'.append_sid('index.'.$phpEx.'?pane=left').'">Вернуться на главную страницу администраторского раздела</a></p>';
include('./page_footer_admin.'.$phpEx);
?>